Get Eligible Users
curl --request GET \
--url https://backend.nebuly.com/api/external/eligible-users \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.nebuly.com/api/external/eligible-users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.nebuly.com/api/external/eligible-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{ "users":
[
{
"end_user": "alice@example.com",
"tags": {
"Product Tier": "Premium",
"Country": "US"
},
"active_from": "2026-01-01",
},
{
"end_user": "bob@example.com",
"tags": {
"Product Tier": "Standard",
"Country": "CA"
},
"active_from": "2025-06-23",
"active_to": "2026-01-12"
}
]
}
Eligible Users
Get Eligible Users
GET
/
api
/
external
/
eligible-users
Get Eligible Users
This endpoint allows you to fetch the list of eligible users that have been previously inserted for a specific project.
You need an API key to authenticate. See here for more information about the API keys.
A list of all users stored for your project.
Show properties
Show properties
The identifier used for the end-user you want to insert.
The tags you want that user to have. It’s a dictionary containing an
arbitrary number of key-values tags.
The timestamp of when the user got access to the platform.
The optional timestamp of when the user got revoked access to the
platform.
{ "users":
[
{
"end_user": "alice@example.com",
"tags": {
"Product Tier": "Premium",
"Country": "US"
},
"active_from": "2026-01-01",
},
{
"end_user": "bob@example.com",
"tags": {
"Product Tier": "Standard",
"Country": "CA"
},
"active_from": "2025-06-23",
"active_to": "2026-01-12"
}
]
}
⌘I